import jsonpickle
import os


def save_config(spack_config_data, config_path: str):
    """Save config to JSON file."""
    with open(config_path, "w") as data_file:
        data_file.write(jsonpickle.encode(spack_config_data))


def load_config(config_path: str):
    """Load config from JSON file."""
    if os.path.exists(config_path):
        with open(config_path, "r") as data_file:
            data = jsonpickle.decode(data_file.read())
            return data
    return {}


def clear_config(config_path: str):
    """Delete the JSON config file."""
    if os.path.exists(config_path):
        os.remove(config_path)
