import uuid
from pathlib import Path

from dedal.spack_factory.SpackOperation import SpackOperation
from dedal.utils.spack_utils import extract_spack_packages
from dedal.utils.variables import test_spack_env_name


def check_installed_spack_packages(spack_operation: SpackOperation, install_dir: Path):
    to_install_spack_packages = extract_spack_packages(str(install_dir / test_spack_env_name / 'spack.yaml'))
    installed_spack_packages = list(spack_operation.find_packages().keys())
    for spack_pacakge in to_install_spack_packages:
        assert spack_pacakge in installed_spack_packages


def get_test_path():
    return Path(f"/tmp/test-{uuid.uuid4()}").resolve()