import functools

from dedal.error_handling.exceptions import NoSpackEnvironmentException


def check_spack_env(method):
    @functools.wraps(method)
    def wrapper(self, *args, **kwargs):
        if self.spack_env_exists():
            return method(self, *args, **kwargs)
        else:
            self.logger.debug('No spack environment defined')
            raise NoSpackEnvironmentException('No spack environment defined')

    return wrapper
